Bug 618114 - Kernel panic on reading from /proc/bus/pci/XX/YY while hot-removing the device.
Kernel panic on reading from /proc/bus/pci/XX/YY while hot-removing the device.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All Linux
urgent Severity high
: rc
: ---
Assigned To: Wade Mealing
Red Hat Kernel QE team
: Reopened, ZStream
: 648378 (view as bug list)
Depends On:
Blocks: 670075 675781 736725
  Show dependency treegraph
 
Reported: 2010-07-26 03:18 EDT by Wade Mealing
Modified: 2011-09-13 08:36 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When reading a file from a subdirectory in /proc/bus/pci/ while hot-unplugging the device related to that file, the system will crash. Now, the kernel correctly handles the simultaneous removal of a device and access to the representation of that device in the proc file system.
Story Points: ---
Clone Of:
: 670075 675781 (view as bug list)
Environment:
Last Closed: 2011-02-07 13:16:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2010-07-26 03:18:03 EDT
Description of problem:

When we read from a /proc/bus/pci/XX/YY file while hot-removing the device that relates to this file, kernel panics with the following call trace.

Version-Release number of selected component (if applicable):

kernel-2.6.18-208.el5 and earlier.

How reproducible:

Every time.


Steps to Reproduce:
1. Open /proc/bus/pci/XX/YY file
2. remove a pci device with pci hotplug capabilities.
3. Read from the proc file.
  
Actual results:

Kernel panic

Expected results:

Device to be released, pci bus to continue working.

Additional info:

Accepted in linux-next branch, not in mainline yet.
https://patchwork.kernel.org/patch/107556/
Comment 4 RHEL Product and Program Management 2010-08-03 09:09:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jan Tluka 2010-08-03 09:56:11 EDT
Wade, could you please include panic call trace? It's missing in the description.

Thanks.
Comment 8 Jarod Wilson 2010-08-10 20:13:27 EDT
in kernel-2.6.18-211.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 18 Wade Mealing 2010-11-02 00:56:40 EDT
*** Bug 648378 has been marked as a duplicate of this bug. ***
Comment 19 Wade Mealing 2010-11-02 00:59:24 EDT
As M Yamazaki stated, this wasn't enough to solve the problem (it did solve my simulated pci hotplug bug) but it requires additional protection from the upstream patch, I'm going to attach the patch, but awaiting feedback from our partners on if its sane and working for them.
Comment 20 Wade Mealing 2010-11-02 02:16:35 EDT
Looks like there needs to be additional changes, this patch did fix my original problem but there is more..
Comment 27 errata-xmlrpc 2011-01-13 16:45:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 31 Suzanne Yeghiayan 2011-02-07 13:16:43 EST
This bug was part of the RHEL 5.6 kernel advisory and is associated with a patch in 5.6.
It has been returned to CLOSED/ERRATA status against 5.6, and will be cloned for handling further issues in RHEL 5.7.
Please address additional concerns in that bug and not this one.
Comment 34 Tomas Capek 2011-09-13 08:36:18 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When reading a file from a subdirectory in /proc/bus/pci/ while hot-unplugging the device related to that file, the system will crash. Now, the kernel correctly handles the simultaneous removal of a device and access to the representation of that device in the proc file system.

Note You need to log in before you can comment on or make changes to this bug.